module BackRun
  class MetricsCollector
    EVENT_NAME = 'back_run.event_executed'.freeze

    class << self
      def job_executed(job)
        ActiveSupport::Notifications.instrument(
          EVENT_NAME, duration_seconds: job.duration_seconds, job: job.klass
        )
      end
    end
  end
end
