require 'logger'
require 'back_run/version'
require_relative './back_run/adapter'
require_relative './back_run/pubsub'

module BackRun
  def self.logger
    @logger ||= Logger.new(STDOUT)
  end

  def self.logger=(logger)
    @logger = logger
  end

  def self.pubsub
    @pubsub ||= Pubsub.new
  end
end
