require_relative 'pubsub'
require_relative 'job'

module BackRun
  class Adapter
    def enqueue(job)
      BackRun.pubsub.publish(Job.new_from_active_job(job))
    end

    def enqueue_at(job, _timestamp)
      enqueue(job)
    end
  end
end

module ActiveJob
  module QueueAdapters
  end
end

ActiveJob::QueueAdapters::BackRunAdapter = BackRun::Adapter
